CHM_PROTO_CLOSE_FUNC(3)

PROTO_FUNC
chm_PROTO_close_func - This routine is called when a channel closes.

SYNOPSIS
#include <karma_chm.h>

void chm_PROTO_close_func

(Channel channel, void *info)

DESCRIPTION
This routine is called when a channel closes.

channel
    The channel object.

info
    The arbitrary pointer for the channel.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
This routine MUST NOT unmanage the channel. The channel will be automatically unmanaged and deleted upon closure (even if no <<close_func>> is specified).

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/